package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ClientTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_music_score_accompaniment):
 */
public class SysMusicScoreAccompaniment {

	/**  */
	private Integer id;
	
	/**  */
	private Integer examSongId;
	
	/**  */
	private Integer subjectId;

	/**  */
	private String subjectName;
	
	/**  */
	private String mp3Url;
	
	/** 是否删除 */
	private Integer delFlag;
	
	/** 速度 */
	private Integer speed;
	
	/**  */
	private String xmlUrl;

	/**  */
	private String examSongName;

	/**  */
	private String categoriesName;

	/**  */
	private Integer categoriesId;

	/**  */
	private String type;

	/**  */
	private String url;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	//是否显示指法
	private Boolean isShowFingering = true;

	private String memo;

	private ClientTypeEnum clientType;

	public ClientTypeEnum getClientType() {
		return clientType;
	}

	public void setClientType(ClientTypeEnum clientType) {
		this.clientType = clientType;
	}

	public Boolean getIsShowFingering() {
		return isShowFingering;
	}

	public void setIsShowFingering(Boolean showFingering) {
		isShowFingering = showFingering;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public Integer getCategoriesId() {
		return categoriesId;
	}

	public void setCategoriesId(Integer categoriesId) {
		this.categoriesId = categoriesId;
	}

	public String getCategoriesName() {
		return categoriesName;
	}

	public void setCategoriesName(String categoriesName) {
		this.categoriesName = categoriesName;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getExamSongName() {
		return examSongName;
	}

	public void setExamSongName(String examSongName) {
		this.examSongName = examSongName;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setExamSongId(Integer examSongId){
		this.examSongId = examSongId;
	}
	
	public Integer getExamSongId(){
		return this.examSongId;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setMp3Url(String mp3Url){
		this.mp3Url = mp3Url;
	}
	
	public String getMp3Url(){
		return this.mp3Url;
	}
			
	public void setDelFlag(Integer delFlag){
		this.delFlag = delFlag;
	}
	
	public Integer getDelFlag(){
		return this.delFlag;
	}
			
	public void setSpeed(Integer speed){
		this.speed = speed;
	}
	
	public Integer getSpeed(){
		return this.speed;
	}
			
	public void setXmlUrl(String xmlUrl){
		this.xmlUrl = xmlUrl;
	}
	
	public String getXmlUrl(){
		return this.xmlUrl;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
